# ESP8266-captive-ota-spiffs

Captive portal serving files from SPIFFS, updatable Over-The-Air.

Running this code on ESP8266 or compatible creates an 'offline' hotspot (STA, station) with the SSID 'my-ssid'. It runs a webserver that serves files from the onboard SPIFFS memory. When connecting to the hotspot using iOS it serves a captive portal pop up (WebView). The ESP8266 code and SPIFFS contents are updatable 'Over-the-Air', when connected to the hotspot. Handy when physical access to the ESP8266 is hard.

### First Time Usage

To make use of Over-the-Air updates you need to flash your ESP8266 with usb/serial first. After that, connect to the hotspot and select the port 'esp8266 on 192.168.4.1' from Arduino>Tools>Port.

You will need to type a password ('change-me') in order to commence uploading. 


### Trivia

* uploading using OTA seems faster than using serial/usb
* the size of you sketch/code and files/content can't be larger than half of the storage available

### Todo

* force captive portal webview popup on: Android, OSX, Windows

